Appearance
Get Onramp Status
POST
/v5/onramp/status
Poll the status of a Card API onramp transaction.
Authorizations
ApiKeyAuth
Type
API Key (header: X-Api-Key)
Request Body
application/json
JSON
{
"HHTXID": "5721128E-DDB3-4132-9791-39D91D022D61"
}
Responses
OK
application/json
JSON
{
"status": "ok",
"payload": {
"status": "string",
"reason": "string",
"txHash": "string"
}
}
Code examples
bash
curl -X POST https://api.brrr.network/v5/onramp/status \
-H "X-Api-Key: YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"HHTXID": "5721128E-DDB3-4132-9791-39D91D022D61"
}'javascript
const response = await fetch('https://api.brrr.network/v5/onramp/status', {
method: 'POST',
headers: {
'X-Api-Key': process.env.BRRR_API_KEY,
'Content-Type': 'application/json',
},
body: JSON.stringify({
'HHTXID': '5721128E-DDB3-4132-9791-39D91D022D61'
}),
});
if (!response.ok) {
const error = await response.json();
throw new Error(`Request failed: ${error.errorCode}`);
}
const data = await response.json();
console.log(data.payload);python
import os
import httpx
response = httpx.post(
'https://api.brrr.network/v5/onramp/status',
headers={
'X-Api-Key': os.environ['BRRR_API_KEY'],
'Content-Type': 'application/json',
},
json={
"HHTXID": "5721128E-DDB3-4132-9791-39D91D022D61"
},
)
response.raise_for_status()
print(response.json()['payload'])